

Name:           sane-backends-iscan
Version:        1.0.22
Release:        %mkrel 2
URL:            http://www.avasys.jp/english/linux_e/index.html
License:        GPLv2+ ; LGPLv2.1+
Group:          Graphics
AutoReqProv:    on
Summary:        Free Image Scan Version with epkowa Driver for Epson Scanners
Source0:        iscan-free_2.10.0-1.tar.xz
Source1:        README
Patch1:         libltdl.patch
Patch3:         replace-HZ-by-sysconf_SC_CLK_TCK.patch
Patch4:         fixes-for-GCC43.patch
Patch5:         fixes-for-GCC44-glibc_2.10.patch
Patch10:        adapt-man-for-free.patch
PreReq:         coreutils, /bin/grep, /bin/sed
BuildRequires: e2fsprogs-devel
BuildRequires: esound-devel
BuildRequires: gcc-c++
BuildRequires: gimp-devel
BuildRequires: libgphoto-devel
BuildRequires: libjpeg-devel
BuildRequires: openssl-devel
BuildRequires: popt-devel
BuildRequires: lib64sane1-devel
BuildRequires: git
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:	sane-backends-iscan-proprietary-drivers

%description
This version of the Image Scan for Linux software contains only
the free software parts of what Avasys provides.


%prep

%setup -q -n iscan-2.10.0
cp %{SOURCE1} .
%patch1
%patch3
%patch4
%patch5
%patch10

grep -q 'requires DFSG non-free' doc/epkowa.desc || exit 1
sed -i -e '/requires DFSG non-free/s/^:comment[[:space:]][[:space:]]*"/:comment "unsupported by the iscan-free package<br>/' doc/epkowa.desc
sed -i -e 's/requires DFSG non-free/requires DFSG non-free plugin in the iscan-proprietary-drivers package:/' doc/epkowa.desc

%build
rm -f m4/libtool.m4
autoreconf -fi

export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -fno-strict-aliasing"

%configure --disable-static \
           --with-pic \
           --enable-jpeg \
           --enable-png \
           --disable-frontend

%{__make} %{?jobs:-j%jobs}

%install
make install DESTDIR=${RPM_BUILD_ROOT}
install -d %{buildroot}%{_sysconfdir}/sane.d/
install -m 644 backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
install -d %{buildroot}%{_datadir}/iscan/

grep -q '^:mfg[[:space:]][[:space:]]*"EPSON"' doc/epkowa.desc || exit 1
sed -e 's|^:mfg[[:space:]][[:space:]]*"EPSON".*|:mfg "Epson"|' doc/epkowa.desc >%{buildroot}%{_datadir}/iscan/epkowa.desc

install -m 644 utils/hotplug/iscan.usermap %{buildroot}%{_datadir}/iscan/
install -m 755 utils/hotplug/iscan-device %{buildroot}%{_datadir}/iscan/
mv %{buildroot}%{_libdir}/iscan/make-udev-rules %{buildroot}%{_datadir}/iscan/

rm %{buildroot}%{_mandir}/man1/iscan.1



%find_lang iscan

find %{buildroot} -type f -name "*.la" -exec %{__rm} -fv {} +

%post
/sbin/ldconfig

%triggerin -- sane-backends

if test -w /etc/sane.d/dll.conf
then grep -q 'epkowa' /etc/sane.d/dll.conf || echo -e '# The epkowa backend is provided by the iscan-free package:\n#epkowa' >>/etc/sane.d/dll.conf
fi
if test -f /usr/share/sane/descriptions-external/epkowa.desc -a ! -f /usr/share/sane/descriptions-external/epkowa.desc.sane
then mv /usr/share/sane/descriptions-external/epkowa.desc /usr/share/sane/descriptions-external/epkowa.desc.sane
fi
if test -d /usr/share/sane/descriptions-external/
then cp -p /usr/share/iscan/epkowa.desc /usr/share/sane/descriptions-external/
fi
exit 0

%postun
/sbin/ldconfig
[ "$1" = "0" -a -w /etc/sane.d/dll.conf ] && sed -i -e '/epkowa/d' /etc/sane.d/dll.conf
if test -f /usr/share/sane/descriptions-external/epkowa.desc.sane
then mv -f /usr/share/sane/descriptions-external/epkowa.desc.sane /usr/share/sane/descriptions-external/epkowa.desc
fi
exit 0

%files -f iscan.lang
%defattr(-,root,root)
%doc COPYING COPYING.LIB AUTHORS NEWS
%doc README
%dir %{_sysconfdir}/sane.d
%config %{_sysconfdir}/sane.d/epkowa.conf
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-epkowa.so*
%{_datadir}/iscan/
%{_mandir}/man5/sane-epkowa.5.*





%changelog
* Sat Jul 09 2011 Texstar <texstar at gmail.com> 1.0.22-2pclos2011
- create package from opensuse for pclos

